package demo.arrays.serverPackage;

public class stringsHolder
	implements org.omg.CORBA.portable.Streamable
{
	public java.lang.String[] value;
	public stringsHolder()
	{
	}
	public stringsHolder(java.lang.String[] initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return stringsHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = stringsHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream out)
	{
		stringsHelper.write(out,value);
	}
}


